none
BizTalk Adapter Pack 2 for SAP install issue RRS feed

  • Question

  • I'm trying to install Biz Talk Adapter Pack v2.0 but i'm getting error. In the installation, I choose 'custom' , and pick up 'Microsoft Biz Talk Adapter for mySAP Business Suite' for Base Adapters , and '.NET framework Data Provider for mySAP Business Suite' for ADO Providers . In the middle of installation , it pops out a dialog with error :

    "An error occurred while registering/unregistering the SSRS entry for Data Provider for SAP in . Exception Message: object reference not set to an instance of object . Exception Stack trace: in Microsoft.Adapters.Setup.CustomAction.Program.Main(String[]args)"

    I check event and find error :

    <Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
    - <System>
      <Provider Name="MsiInstaller" />
      <EventID Qualifiers="0">11719</EventID>
      <Level>2</Level>
      <Task>0</Task>
      <Keywords>0x80000000000000</Keywords>
      <TimeCreated SystemTime="2015-09-22T08:21:45.000000000Z" />
      <EventRecordID>1462699</EventRecordID>
      <Channel>Application</Channel>
      <Computer>KH-SRVMSSQL2012.wahlee.com</Computer>
      <Security UserID="S-1-5-21-2244392170-2047832967-1087478029-500" />
      </System>
    - <EventData>
      <Data>Product: Microsoft BizTalk Adapter Pack -- Error 1719. The Windows Installer Service could not be accessed. This can occur if you are running Windows in safe mode, or if the Windows Installer is not correctly installed. Contact your support personnel for assistance.</Data>
      <Data>(NULL)</Data>
      <Data>(NULL)</Data>
      <Data>(NULL)</Data>
      <Data>(NULL)</Data>
      <Data>(NULL)</Data>
      <Data />
      <Binary>7B35314336304246342D333344462D343032412D413836432D3839464330364434463946417D</Binary>
      </EventData>
      </Event>

    My intention is to use ".NET Providers\Data Provider for SAP" , when i try to create new SSIS package in VS2010 .

    It's Windows Server 2008 R2 x64 , SQL Server 2012 x64 and VS2010 .  I've tried the install several times (including after a reboot) and keep getting the same error .  Anyone have any ideas on what I need to do to correct the issue so that I can successfully pick up data provider from VS2010 ?

    Wednesday, September 23, 2015 1:35 AM

Answers

  • I'm a little confused here.

    BizTalk Adapter Pack 2.0 is for BizTalk Server 2009, which requires VS 2008 (But the only version where you could buy the Adapter Pack without a BizTalk license).

    VS 2010 is for BizTalk Server 2010 only, which cannot run on SQL Server 2012.

    Could you please elaborate on what environment you are trying to install here.

    If you want to use the rather old Adapter Pack 2.0 because it is the only one you can buy without BizTalk, you need to know that it only works with very old Software:

    http://blogs.msdn.com/b/adapters/archive/2009/05/04/biztalk-adapter-pack-2-0-is-now-available.aspx

    Morten la Cour

    • Marked as answer by Luo Ewan Wednesday, September 30, 2015 3:01 AM
    Wednesday, September 23, 2015 5:38 AM
  • Hi,

    BizTalk 2009 does not support SQL server 2012 or SQL server 2008R2.

    Have you looked at the installation guide and dependency matrix for Biz Talk 2009 .

    http://www.microsoft.com/en-us/download/confirmation.aspx?id=4066.

    The feasible option to work with SQL server 2012 is to upgrade your BizTalk Environment to BizTalk 2013 / or 2013 R2.

    As you are trying to work with unsupported version ,It will give you exception while installing adapter pack

    Thanks

    Abhishek

    • Marked as answer by Luo Ewan Wednesday, September 30, 2015 3:01 AM
    Wednesday, September 23, 2015 1:57 PM

All replies

  • I'm a little confused here.

    BizTalk Adapter Pack 2.0 is for BizTalk Server 2009, which requires VS 2008 (But the only version where you could buy the Adapter Pack without a BizTalk license).

    VS 2010 is for BizTalk Server 2010 only, which cannot run on SQL Server 2012.

    Could you please elaborate on what environment you are trying to install here.

    If you want to use the rather old Adapter Pack 2.0 because it is the only one you can buy without BizTalk, you need to know that it only works with very old Software:

    http://blogs.msdn.com/b/adapters/archive/2009/05/04/biztalk-adapter-pack-2-0-is-now-available.aspx

    Morten la Cour

    • Marked as answer by Luo Ewan Wednesday, September 30, 2015 3:01 AM
    Wednesday, September 23, 2015 5:38 AM
  • BizTalk Server 2009 with SQL Server 2008 R2 is our current environment , I'm trying to upgrade SQL Server 2008 R2 to 2012 so I have new host with SQL Server 2012 .

    I'm trying to migrate SSIS packages to new host . It uses ".NET provider\Data Provider for SAP" to execute SQL commands from SAP .

    If VS2010 can not run with SQL Server 2012 , can I have advice to do so ?

    Thank you for your advice . 


    • Edited by Luo Ewan Wednesday, September 23, 2015 6:48 AM
    Wednesday, September 23, 2015 6:44 AM
  • Hi,

    BizTalk 2009 does not support SQL server 2012 or SQL server 2008R2.

    Have you looked at the installation guide and dependency matrix for Biz Talk 2009 .

    http://www.microsoft.com/en-us/download/confirmation.aspx?id=4066.

    The feasible option to work with SQL server 2012 is to upgrade your BizTalk Environment to BizTalk 2013 / or 2013 R2.

    As you are trying to work with unsupported version ,It will give you exception while installing adapter pack

    Thanks

    Abhishek

    • Marked as answer by Luo Ewan Wednesday, September 30, 2015 3:01 AM
    Wednesday, September 23, 2015 1:57 PM